EDIT - bug #9088

CCE (ClassCastException) when adding annotation to TextualTypeDesignation in Name-Bulkeditor
06/22/2020 06:29 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.33

Severity: normal Found in Version:

Description

last remote method : http://localhost:8080/remoting/name.service
last remote request client time : 2020-06-22T18:27:46.865
last remote request response header time : Mon, 22 Jun 2020 18:27:46 +0200
client error time : 2020-06-22T18:28:23.564
login : admin
editor version : 5.15.0.202006180748
server : localhost (localhost-dev)
schema version : 5.15.2.0.20200611
os : Linux 5.3.0-59-generic amdo64
java : 1.8.0_131
java.lang.ClassCastException: eu.etaxonomy.cdm.model.name.TextualTypeDesignation cannot be cast to
eu.etaxonomy.cdm.model.name.TaxonName

at eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.addSaveCandidate (NameEditorInput. ja
va:l)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4.changed (BulkEditorE4. java:264)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.changed (AbstractCdmEditorPartE4. java
:188)

at eu.etaxonomy.taxeditor.view.ed4.AbstractCdmEditorPartE4.changed (AbstractCdmEditorPartE4. java
:188)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.markViewPartDirty (AbstractCdmDataVie
werE4.java:110)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4$1l.dirtyStateChanged (AbstractCdmbDataV
iewerE4. java:80)

at org.eclipse.ui.forms.AbstractFormPart.markDirty (AbstractFormPart. java:93)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.propertyChange (CdmSectionPart.java:209)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCd
mFormElement. java:256)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement .modifyText (TextWithLabelElement. java
:178)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4561)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4151)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)

Related issues:
Related to EDIT - bug #10108: Description for MediaSpecimen not shown even if... Closed

Associated revisions

Revision 7644f3dd - 08/24/2022 11:27 AM - Katja Luther
ref #9088: fix CCE for TypeDesignations

History

#1 - 08/24/2022 11:00 AM - Andreas Miiller

- Subject changed from CCE (ClassCastException) adding Annotation to TextualTypeDesignation in Name-Bulkedirtor to CCE (ClassCastException)
adding Annotation to TextualTypeDesignation in Name-Bulkeditor

#2 - 08/24/2022 11:01 AM - Andreas Mdiller

- Subject changed from CCE (ClassCastException) adding Annotation to TextualTypeDesignation in Name-Bulkeditor to CCE (ClassCastException)
when adding annotation to TextualTypeDesignation in Name-Bulkeditor

#3 - 08/24/2022 01:14 PM - Katja Luther
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 5.33

The initial issue is fixed, for other elements this should be checked too.

#4 - 09/07/2022 09:07 PM - Andreas Miiller
- Status changed from In Progress to Feedback

- % Done changed from 0 to 30
What exactly needs to be done for the remaining check. Can this be done fast or should we create a new ticket?
Would be good if we can put this on "resolved" asap so it can be reviewed.

#5 - 09/08/2022 11:17 AM - Andreas Miiller
- Priority changed from New to Highest

#6 - 09/12/2022 01:53 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Checked for all NameParts (Typedesignations, NomenclaturalSource, NameRelationships...)
Checked for all TaxonParts (SecundumSource, Name, all NameParts like above)

#7 - 09/13/2022 11:24 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 30 to 50

When trying to test this | always get a ConstraintViolationException when trying to create a textual typedesignation. It seems to be reproducable and
urgently needs to be fixed. Maybe this is not related to this ticket but needs to be fixed before | can review this ticket.

last remote method : https://test.e-taxonomy.eu:443/cdmserver/rem_conf_am/remoting/taxonnode.service
last remote request client time : 2022-09-13T11:22:10.338
last remote request response header time : Tue, 13 Sep 2022 09:22:10 GMT
client error time : 2022-09-13T11:22:10.403
login : admin
editor version : 5.33.0.202209122248
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.32.0.0.20220807
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_131
org.eclipse.ed.core.di.InjectionException: org.springframework.dao.DatalIntegrityViolationException: could not
execute statement; SQL [n/a]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolati
onException: could not execute statement

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.e4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90)

at org.eclipse.e4d.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. java:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.e4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)

at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContributionItem. j
ava:433)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri
butionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt
em. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseApplLauncher.runApplication(EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Caused by: org.springframework.dao.DatalntegrityViolationException: could not execute statement; SQL [n/al; co
nstraint [null]; nested exception is org.hibernate.exception.ConstraintViolationException: could not execute s
tatement

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (SessionFactoryUt
ils.java:241)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessException (Hibernat
eTransactionManager. java:755)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactionManager. jav
a:594)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (AbstractPlatfo
rmTransactionManager. java:765)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTrans
actionManager. java:734)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning (Tr
ansactionAspectSupport.java:522)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio
nAspectSupport. java:293)
sun.proxy.$Proxy8ll.merge (Unknown Source)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)
web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:970)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:317
security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
security.web.access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo

ntextHolderAwareRequestFilter. java:170)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:331

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
java:63)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331
at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut
henticationFilter. java:215)
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:331

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.java:116)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:331

security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter. java:66)
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:331

security.web.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:331

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInterna
1 (WebAsyncManagerIntegrationFilter. java:56)
security.web.FilterChainProxy.doFilter (FilterChainProxy.java:177)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. java:347)
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:263)
eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)

eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:56)

org

org.

org.
org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.

org

org.

.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)

eclipse.
eclipse.

jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.

springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:19

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
servlet.ServletHandler.doHandle (ServletHandler. java:545)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:590)
server.handler.HandlerWrapper.handle (HandlerWrapper. java:127)
server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)
server.session.SessionHandler.doHandle (SessionHandler. java:1607)
server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)
server.handler.ContextHandler.doHandle (ContextHandler. java:1297)
server.handler.ScopedHandler.nextScope (ScopedHandler. java:188)
servlet.ServletHandler.doScope (ServletHandler. java:485)
server.session.SessionHandler.doScope (SessionHandler. java:1577)
server.handler.ScopedHandler.nextScope (ScopedHandler. java:186)
server.handler.ContextHandler.doScope (ContextHandler. java:1212)
server.handler.ScopedHandler.handle (ScopedHandler. java:141)
server.handler.HandlerWrapper.handle (HandlerWrapper. java:127)

eu.etaxonomy.cdm.server.logging.InstancelLogWrapper.handle (InstanceLogWrapper.java:48)
util.thread
.util.thread.

server.handler.HandlerWrapper.handle (HandlerWrapper. java:127)
server.Server.handle (Server. java:500)
server.HttpChannel.lambda$Shandle$1l (HttpChannel. java:383)
server.HttpChannel.dispatch (HttpChannel. java:547)
server.HttpChannel.handle (HttpChannel. java:375)
server.HttpConnection.onFillable (HttpConnection. java:270)
io.AbstractConnection$ReadCallback.succeeded (AbstractConnection.java:311)
io.FillInterest.fillable(FillInterest. java:103)

io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)

util.thread.
util.thread.
util.thread.
.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)

strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)
strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)
strategy.EatWhatYouKill.tryProduce (EatWhatYouKill. java:171)

ReservedThreadExecutor$ReservedThread. run (ReservedThreadExecutor. java:388

QueuedThreadPool.rundob (QueuedThreadPool. java:806)
QueuedThreadPool$Runner.run (QueuedThreadPool. java:938)

java.lang.Thread.run (Thread. java:748)
org.
eInvocationBasedAccessor. java:85)

springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible (RemotelInvoc
java:45)
springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)

springframework.remoting. support.RemoteInvocationBasedAccessor.recreateRemoteInvocationResult (Remot

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:158)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$SProxy89.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.ed.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:430)

at eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.save (TaxonNameEditorE4.java:411)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

... 48 more
Caused by: org.hibernate.exception.ConstraintViolationException: could not execute statement

at org.hibernate.exception.internal.SQLExceptionTypeDelegate.convert (SQLExceptionTypeDelegate. java:59)

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (StandardSQLExceptionConverter. ja
va:42)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SglExceptionHelper. java:113)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper. java:99)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl.java:200)

at org.hibernate.engine. jdbc.batch.internal.NonBatchingBatch.addToBatch (NonBatchingBatch. java:46)

at org.hibernate.persister.collection.AbstractCollectionPersister.recreate (AbstractCollectionPersister. jav
a:1357)

at org.hibernate.action.internal.CollectionRecreateAction.execute (CollectionRecreateAction. java:50)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:604)

at org.hibernate.engine.spi.ActionQueue.lambdaS$executeActions$l (ActionQueue. java:478)

at java.util.LinkedHashMap.forEach (LinkedHashMap. java:684)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue.java:475)

at org.hibernate.event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushingEventListe
ner. java:344)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. java:40)

at org.hibernate.event.service.internal.EventListenerGroupImpl.fireEventOnEachListener (EventListenerGroupI
mpl.java:99)

at org.hibernate.internal.SessionImpl.doFlush (SessionImpl. java:1362)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:453)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl.java:3212)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2380)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoordinatorImpl.
java:448)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourceLocalTransactionCoordinatorImpl.be
foreCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:183)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordinatorImpl.ac
cess$300 (JdbcResourcelocalTransactionCoordinatorImpl. java:40)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImpls$Tr
ansactionDriverControlImpl.commit (JdbcResourcelLocalTransactionCoordinatorImpl. java:281)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:101)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactionManager.jav
a:582)

... 169 more
Caused by: java.sgl.SQLIntegrityConstraintViolationException: Column 'text_mapkey_id' cannot be null

at com.mysgl.cj.jdbc.exceptions.SQLError.createSQLException (SQLError. java:117)

at com.mysqgl.cj.jdbc.exceptions.SQLExceptionsMapping.translateException (SQLExceptionsMapping.java:122)

at com.mysgl.cj.jdbc.ClientPreparedStatement.executeInternal (ClientPreparedStatement. java:916)

at com.mysqgl.cj.jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1061)

at com.mysqgl.cj.jdbc.ClientPreparedStatement.executeUpdateInternal (ClientPreparedStatement. java:1009)

at com.mysgl.cj.jdbc.ClientPreparedStatement.executelargeUpdate (ClientPreparedStatement. java:1320)

at com.mysgl.cj.jdbc.ClientPreparedStatement.executeUpdate (ClientPreparedStatement. java:994)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPreparedStatement. java:384)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl.java:197)

189 more

#8 - 09/13/2022 11:37 AM - Andreas Miiller
- Related to bug #10108: Description for MediaSpecimen not shown even if it exists (i18n) added

#9 - 09/13/2022 12:24 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

This is fixed, the problem was a method getting the default language, but if the language was not set (english is the default), the method returned null,
this is fixed now.

#10 - 09/13/2022 12:43 PM - Andreas Miiller

- Status changed from Resolved to Closed
- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 100

Fully fixed now.
